Get model details
curl --request GET \
--url https://cloud-api.near.ai/v1/model/{model_name} \
--header 'Authorization: Bearer <token>'import requests
url = "https://cloud-api.near.ai/v1/model/{model_name}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://cloud-api.near.ai/v1/model/{model_name}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://cloud-api.near.ai/v1/model/{model_name}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://cloud-api.near.ai/v1/model/{model_name}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://cloud-api.near.ai/v1/model/{model_name}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://cloud-api.near.ai/v1/model/{model_name}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"costPerImage": {
"amount": 123,
"currency": "<string>",
"scale": 123
},
"inputCostPerToken": {
"amount": 123,
"currency": "<string>",
"scale": 123
},
"metadata": {
"attestationSupported": true,
"contextLength": 123,
"modelDescription": "<string>",
"modelDisplayName": "<string>",
"ownedBy": "<string>",
"providerType": "<string>",
"verifiable": true,
"aliases": [
"<string>"
],
"architecture": {
"inputModalities": [
"<string>"
],
"outputModalities": [
"<string>"
]
},
"datacenters": [
{
"country_code": "<string>"
}
],
"deprecationDate": "<string>",
"huggingFaceId": "<string>",
"inferenceUrl": "<string>",
"isListed": true,
"isReady": true,
"maxOutputLength": 123,
"modelIcon": "<string>",
"openrouterSlug": "<string>",
"providerConfig": "<unknown>",
"quantization": "<string>",
"successorModelId": "<string>",
"supportedFeatures": [
"<string>"
],
"supportedSamplingParameters": [
"<string>"
]
},
"modelId": "<string>",
"outputCostPerToken": {
"amount": 123,
"currency": "<string>",
"scale": 123
},
"cacheReadCostPerToken": {
"amount": 123,
"currency": "<string>",
"scale": 123
},
"textPricing": "<unknown>",
"upcomingPricing": {
"effectiveAt": "<string>",
"pricing": {
"costPerImage": {
"amount": 123,
"currency": "<string>",
"scale": 123
},
"inputCostPerToken": {
"amount": 123,
"currency": "<string>",
"scale": 123
},
"outputCostPerToken": {
"amount": 123,
"currency": "<string>",
"scale": 123
},
"cacheReadCostPerToken": {
"amount": 123,
"currency": "<string>",
"scale": 123
},
"textPricing": "<unknown>"
}
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"param": "<string>"
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"param": "<string>"
}
}Models
Get model details
Get pricing and metadata for a specific model. URL-encode model names containing slashes. Public endpoint.
GET
/
v1
/
model
/
{model_name}
Get model details
curl --request GET \
--url https://cloud-api.near.ai/v1/model/{model_name} \
--header 'Authorization: Bearer <token>'import requests
url = "https://cloud-api.near.ai/v1/model/{model_name}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://cloud-api.near.ai/v1/model/{model_name}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://cloud-api.near.ai/v1/model/{model_name}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://cloud-api.near.ai/v1/model/{model_name}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://cloud-api.near.ai/v1/model/{model_name}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://cloud-api.near.ai/v1/model/{model_name}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"costPerImage": {
"amount": 123,
"currency": "<string>",
"scale": 123
},
"inputCostPerToken": {
"amount": 123,
"currency": "<string>",
"scale": 123
},
"metadata": {
"attestationSupported": true,
"contextLength": 123,
"modelDescription": "<string>",
"modelDisplayName": "<string>",
"ownedBy": "<string>",
"providerType": "<string>",
"verifiable": true,
"aliases": [
"<string>"
],
"architecture": {
"inputModalities": [
"<string>"
],
"outputModalities": [
"<string>"
]
},
"datacenters": [
{
"country_code": "<string>"
}
],
"deprecationDate": "<string>",
"huggingFaceId": "<string>",
"inferenceUrl": "<string>",
"isListed": true,
"isReady": true,
"maxOutputLength": 123,
"modelIcon": "<string>",
"openrouterSlug": "<string>",
"providerConfig": "<unknown>",
"quantization": "<string>",
"successorModelId": "<string>",
"supportedFeatures": [
"<string>"
],
"supportedSamplingParameters": [
"<string>"
]
},
"modelId": "<string>",
"outputCostPerToken": {
"amount": 123,
"currency": "<string>",
"scale": 123
},
"cacheReadCostPerToken": {
"amount": 123,
"currency": "<string>",
"scale": 123
},
"textPricing": "<unknown>",
"upcomingPricing": {
"effectiveAt": "<string>",
"pricing": {
"costPerImage": {
"amount": 123,
"currency": "<string>",
"scale": 123
},
"inputCostPerToken": {
"amount": 123,
"currency": "<string>",
"scale": 123
},
"outputCostPerToken": {
"amount": 123,
"currency": "<string>",
"scale": 123
},
"cacheReadCostPerToken": {
"amount": 123,
"currency": "<string>",
"scale": 123
},
"textPricing": "<unknown>"
}
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"param": "<string>"
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"param": "<string>"
}
}Authorizations
session_tokenapi_key
Response
Model details with pricing
Model with pricing information